hnb (1.9.18-4)  * Save recovery files in hnb's native format and choose a
                  different naming scheme.  Thanks to Steve Pomeroy.
                  (Closes: #340061)

--- hnb-1.9.18.orig/src/autosave.c
+++ hnb-1.9.18/src/autosave.c
@@ -38,7 +38,7 @@ static void autosave_invoke(Node *pos){
 		{
 			char buf[4096];
 			
-			sprintf (buf, "export_binary %s_hnb_rescue", prefs.db_file);		
+			sprintf (buf, "export_hnb %s~", prefs.db_file);
 			docmd (node_root(pos), buf);
 			cli_outfunf("autosaved, %i nodes changed\n",nodes_changed);
 		}
--- hnb-1.9.18.orig/src/file.c
+++ hnb-1.9.18/src/file.c
@@ -164,7 +164,7 @@ static void* cmd_save (int argc,char **a
 			char buf[4096];
 			char swapfile[4096];
 
-			sprintf(swapfile,"%s_hnb_rescue",prefs.db_file);
+			sprintf(swapfile,"%s~",prefs.db_file);
 			remove(swapfile);
 			docmd (pos, "autosave_threshold_nodes_changed 0");
 
--- hnb-1.9.18.orig/src/hnb.c
+++ hnb-1.9.18/src/hnb.c
@@ -239,7 +239,7 @@ int main (int argc, char **argv)
 	   	  stat(prefs.db_file, &statbuf);
 		  file_modified=statbuf.st_ctime;
 		  
-		  sprintf(recovery_file, "%s_hnb_rescue", prefs.db_file);
+		  sprintf(recovery_file, "%s~", prefs.db_file);
 		  tfile = fopen(recovery_file, "r");
 		  if(tfile){
 			  char response[1024]="_";
@@ -314,7 +314,7 @@ o)pen read_only\n\
 		{
 			char buf[4096];
 			if(recover)
-			sprintf (buf, "import_binary %s", file_to_load);
+			sprintf (buf, "import_hnb %s", file_to_load);
 			else
 			sprintf (buf, "import_%s %s", prefs.format,  file_to_load);
 
